Britive platform release 2026.09.02 is now live in production.

Get list of rotation templates for a resource

Prev Next
Get
/api/resource-manager/resources/{id}/rotation-templates

Get paginated list of rotation templates for a resource

Security
HTTP
Type bearer
Path parameters
id
stringRequired

ID of the resource

Query parameters
searchText
string

Search text to filter templates by name or description

Exampletest
page
integer

Parameter to specify the page number of the records to retrieve

Default0
size
integer

Parameter to specify the number of records to retrieve per page

Default20
sort
string

parameter to specify the sort parameter and direction

Responses
200

List of rotation templates retrieved successfully

Expand All
object
count
integer

Total count of rotation templates

page
integer

Current page number (0-indexed)

size
integer

Page size

sort
string

Sort criteria used

data
Array of object (RotationTemplateSummaryDto)

List of rotation template summaries

object
templateId
string

ID of the rotation template

templateName
string

Name of the rotation template

description
string

Description of the rotation template

createdOn
string

Creation timestamp

createdBy
string

Name of user who created the template

404

Resource type not found